/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.juddi.monitor;

import org.apache.axis.MessageContext;
import org.apache.juddi.datatype.RegistryObject;
import org.w3c.dom.Element;

/**
 * @author Anou Mana (anou_mana@users.sourceforge.net)
 */
public interface Monitor
{
  void inspectMessageContext(MessageContext messageContext);
  void inspectUDDIRequest(Element request);
  void inspectRegistryObject(RegistryObject registryObject);
  void addMonitorFault( String faultString );
  void log();
}
